body{
    background-image: linear-gradient(180deg, #FFFFFF 0%, #E7C04E33 100%);
    background-repeat: no-repeat;
    margin:0;
    padding:0;
    box-sizing: border-box;
    min-height:100vh;
    font-family: "Arial";
    line-height:24px;
}
th {
    font-size: 0.8rem;
}

td {
    font-size: 0.8rem;
    max-height: 10px;
}

.centrado{
    text-align: center;
}

.btn-primary-outline {
    background-color: transparent;
    border-color: #ccc;
    margin: 0!important;
    padding: 0!important;
}

.cabecera{
    text-align: center;
}

.cabecera .logo img{
    width:300px;
}

#main-portada{
    padding:30px;
}

h1.titulo{
    line-height:30px;
}

.ayuda{
    margin-bottom: 30px;
}

#main{
    padding:30px;
    max-width:800px;
    margin-left: auto;
    margin-right: auto;
}

#tabla-comparsas{
    width:100%;
    text-align: center;
}

.portada-titulo{
    text-align: center;
}

.portada{
    max-width:800px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.alert-error{
    background-color:red;
    color:black;
    padding:10px 20px;
    margin-bottom: 20px;
}

.alert-success{
    background-color:greenyellow;
    color:darkgreen;
    padding:10px 20px;
    margin-bottom: 20px;
}

#cifForm{
    display:flex;
    flex-flow:column nowrap;
}

#cifForm label{
    font-weight: 700;
}

#cifForm input{
    width:300px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    padding:5px 10px;
    text-align: center;
}

#cifForm button{
    width:100px;
    margin-left: auto;
    margin-right: auto;
    background-color:black;
    color:white;
    padding:10px 10px;
    text-transform: uppercase;
    border:none;
    font-size:16px;
    cursor:pointer;
}

.table-comparsas{
    border-collapse: collapse;
    border:1px solid black;
}

.table-comparsas td, .table-comparsas th{
    border:1px solid black;
    padding:5px;
}

.table-comparsas th{
    cursor:not-allowed;
}

.table-comparsas td{
    cursor:pointer;
}

.table-comparsas td.no-seleccionable{
    background-color:black;
    cursor: not-allowed;
}

.table-comparsas tr td:first-child{
    pointer-events: none;
}

.table-comparsas td.disponible{
    background-color:lightgreen;
}

.table-comparsas td.seleccion-actual{
    background-color:cornflowerblue;
}

.table-comparsas td.tu-seleccion{
    background-color:lightseagreen;
}

.table-comparsas td.no-disponible{
    background-color:darkred;
    cursor:not-allowed;
}

.leyenda{
    display:flex;
    align-items: center;
    column-gap: 20px;
    margin-bottom: 15px;
    flex-flow:row wrap;
}

.leyenda .marcador{
    display:flex;
    align-items: center;
}

.leyenda .leyenda-disponible .color{
    background-color:lightgreen;
}

.leyenda .leyenda-no-disponible .color{
    background-color:darkred;
}

.leyenda .leyenda-seleccion-actual .color{
    background-color:cornflowerblue
}

.leyenda .leyenda-no-seleccionable .color{
    background-color:black;
}

.leyenda .leyenda-tu-seleccion .color{
    background-color:lightseagreen;
}

.leyenda .marcador .texto{
    margin-left: 5px;
}

.leyenda .marcador .color{
    border:1px solid black;
    height:8px;
    width:20px;
}

.seleccion{
    margin-top: 15px;
    display:flex;
    flex-flow:column nowrap;
    justify-content: center;
    text-align: center;
    row-gap:10px;
}

.negrita{
    font-weight: 700;
}

.negrita span{
    font-weight: 400;
}

.form-seleccion{
    margin-top: 20px;
    text-align: center;

}

.form-seleccion button{
    border:none;
    background-color:cornflowerblue;
    padding:10px 20px;
    text-transform: uppercase;
    cursor:pointer;
}

.cerrar-sesion{
    text-align: center;
    display:flex;
    justify-content: center;
    margin-top: 20px;
}
.cerrar-sesion a{
    background-color:darkred;
    text-decoration: none;
    color:white;
    padding: 5px 10px;
}

.tabla-artefactos{
    width:100%;
    border:1px solid black;
    text-align: center;
    border-collapse: collapse;
}

.tabla-artefactos th, .tabla-artefactos td{
    border:1px solid black;
    padding:5px;
}

.murgas-opciones{
    display:flex;
    flex-flow:column wrap;
    justify-content: center;
    align-items: center;
    row-gap:15px;
}

.murgas-opciones a{
    text-decoration: none;
    display:flex;
    text-transform: uppercase;
    padding:10px 20px;
    color:white;
    transition:.2s background-color;
    width:350px;
    text-align: center;
    display:inline-block;
}

.murgas-opciones a:nth-child(1){
    background-color:lightseagreen;
}

.murgas-opciones a:nth-child(2){
    background-color:cornflowerblue;
}

.murgas-opciones a:nth-child(3){
    background-color:mediumpurple;
}

.murgas-opciones a:hover{
    background-color:black;
}

.volver-atras{
    text-align: center;
    margin-top: 20px;
}

.volver-atras a{
    display:inline-block;
    background-color:cadetblue;
    text-decoration: none;
    color:white;
    padding:5px 15px;
}
